#include "auxitem.h"

AuxItem::AuxItem(Microcontroller* micro, uint32_t itemIdIn, QString name,  uint8_t value,
                 QObject* parent): Item(itemIdIn, name, value, parent), micro_(micro)
{

}

void AuxItem::setValue(uint8_t value)
{
	Item::setValue(value);
	micro_->setAuxPwm(value);
}

void AuxItem::store(QJsonObject &json)
{
	json["Type"] = "Aux";
	Item::store(json);
}
