#pragma once

#include <QWidget>
#include <memory>
#include <QShortcut>
#include "itemsettingsdialog.h"
#include "../items/item.h"

class ItemWidget : public QWidget
{
	Q_OBJECT
protected:
	std::weak_ptr<Item> item_;

	virtual void disable(){}

signals:

	void deleteRequest(const ItemData& item);

public:
	explicit ItemWidget(std::weak_ptr<Item> item, QWidget *parent);
	std::weak_ptr<Item> getItem();
	bool controles(const ItemData& relay);
	~ItemWidget();

public slots:

	virtual void stateChanged(int state){(void)state;}
};

