#-------------------------------------------------
#
# Project created by QtCreator 2017-06-01T22:31:38
#
#-------------------------------------------------

QT += core gui widgets network serialport

TARGET = traincontrollerui
TEMPLATE = app

INCLUDEPATH += /usr/include/libnl3/
INCLUDEPATH += /usr/include/SDL2/

LIBS += -lnl-3 -lnl-genl-3 -lSDL2

# The following define makes your compiler emit warnings if you use
# any feature of Qt which as been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS
DEFINES += SDL_SUPPORTED

QMAKE_CXXFLAGS += -std=c++17 -O2

SOURCES += \
    src/items/train.cpp \
	src/items/turnout.cpp \
	src/mainobject.cpp \
	src/trainjs.cpp \
	src/QJoysticks.cpp \
	src/jsbackend/SDL_Joysticks.cpp \
	src/jsbackend/VirtualJoystick.cpp \
	src/ui/itemwidget.cpp \
	src/ui/trainwidget.cpp \
	src/items/signal.cpp \
	src/ui/signalwidget.cpp \
	src/ui/itemscrollbox.cpp \
	src/ui/mainwindow.cpp \
	src/items/item.cpp \
	src/items/itemstore.cpp\
	src/main.cpp \
	src/microcontroller.cpp

HEADERS  += \
    src/items/train.h \
	src/items/turnout.h \
	src/mainobject.h \
	src/trainjs.h \
	src/QJoysticks.h \
	src/jsbackend/SDL_Joysticks.h \
	src/jsbackend/VirtualJoystick.h \
	src/jsbackend/JoysticksCommon.h \
	src/ui/itemwidget.h \
	src/ui/trainwidget.h \
	src/items/signal.h \
	src/ui/signalwidget.h \
	src/ui/itemscrollbox.h \
	src/ui/mainwindow.h \
	src/items/item.h \
	src/items/itemstore.h

HEADERS += \
    src/microcontroller.h \

INCLUDEPATH += src/ui/

FORMS    += \
    src/ui/mainwindow.ui \
	src/ui/relayscrollbox.ui \
	src/ui/trainwidget.ui \
	src/ui/signalwidget.ui
